@charset "utf-8";

:root {
  --color-base: #212121;
  --color-pink: #eb6ea5;
  --color-pink-light: #fadce9;
  --color-violet: #7c2a7b;
  --color-violet-light: #fbe7f0;
  --color-green: #5cb531;
  --color-lemon: #fff480;
  --pattern-wave: url(../img/top/bg-wave.png) no-repeat center center/ contain;
}
html {
  scroll-behavior: smooth;
}
main {
  font-family: "Noto Sans JP", sans-serif;
  font-size: 28px;
  line-height: 1.615;
  color: var(--color-base);
}
h1,
h2,
h3,
h4,
h5,
h6 {
  line-height: 1.3;
}
.center {
  text-align: center;
}
main {
  background: url(../img/top/bg-nightsky.png) var(--color-lemon) no-repeat center top/ 750px auto;
}
main#top:not(:has(.sec-news)) {
  background: url(../img/top/bg-nightsky2.png) var(--color-lemon) no-repeat center top/ 750px auto;
}
main a,
main button {
  color: inherit;
  text-decoration: none;
  transition: opacity 0.3s;
}
main a:hover,
main button:hover {
  opacity: 0.7;
}

/*--------------------------------
 Component - accordion
---------------------------------*/
.accordion-block .accordion-trigger {
  margin: 0 auto;
}
.accordion-block .accordion-content {
  display: grid;
  grid-template-rows: 0fr;
  transition: grid-template-rows 0s;
  text-align: center;
  font-size: 32px;
  font-weight: 500;
}
.accordion-block .accordion-content.is-open {
  grid-template-rows: 1fr;
  transition: grid-template-rows 0.3s;
}
.accordion-block .accordion-content .inner {
  overflow: hidden;
}
.accordion-block .accordion-content .inner > *:first-child {
  padding-top: 50px;
}
.accordion-block .accordion-content .inner h3 {
  padding-block: 50px 10px;
  font-weight: bold;
  color: var(--color-theme);
}
.accordion-block .accordion-content .inner .accordion-close {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 300px;
  height: 70px;
  margin: 30px auto 0;
  background-color: #fff;
  border-radius: 999rem;
  border: 3px solid var(--color-theme);
  color: var(--color-theme);
}

/*--------------------------------
 Intro
---------------------------------*/
.sec-intro {
  padding: 160px 0 42px;
  color: var(--color-violet);
  text-align: center;
}
.sec-intro hgroup p {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 16px;
  margin: 30px 0 20px;
  text-align: left;
  font-weight: bold;
  line-height: 1.4;
}
.sec-intro hgroup p:before {
  content: "";
  flex: 0 0 94px;
  aspect-ratio: 1/1;
  background: url(../img/top/intro-ico-8f.png) center center/ contain no-repeat;
}
.sec-intro .cloudbox {
  height: 654px;
  padding-top: 80px;
  margin-bottom: 20px;
  background: url(../img/top/intro-cloudbox.png) center center/ contain no-repeat;
  font-size: 29px;
  font-weight: bold;
}
.sec-intro .cloudbox ul {
  display: flex;
  justify-content: center;
  gap: 20px;
  margin-top: 20px;
}
.sec-intro .cloudbox ul li {
  flex: 0 0 185px;
}
/*--------------------------------
 News
---------------------------------*/
.sec-news {
  padding: 0 50px 50px;
  position: relative;
}
.sec-news h2 {
  margin-bottom: 50px;
  text-align: center;
}
.sec-news article {
  display: flex;
  align-items: center;
  gap: 30px;
  padding: 30px 0;
  --dot-gap: 8px;
  --dot-size: 2px;
  --border-height: calc(var(--dot-size) * 2);
  --dot-color: #000;
  background-repeat: repeat-x;
  background-position: top center;
  background-size: calc(var(--dot-size) + var(--dot-gap)) var(--border-height);
  background-image: radial-gradient(circle, var(--dot-color) var(--dot-size), transparent var(--dot-size));
}
.sec-news article:last-of-type {
  background-position:
    top center,
    bottom center;
  background-image: radial-gradient(circle, var(--dot-color) var(--dot-size), transparent var(--dot-size)), radial-gradient(circle, var(--dot-color) var(--dot-size), transparent var(--dot-size));
}
.sec-news article figure {
  flex: 0 0 250px;
}
.sec-news article .detail {
  flex: 1;
}
.sec-news article .detail time {
  display: block;
  margin-bottom: 12px;
  color: var(--color-pink);
  font-weight: bold;
  font-size: 40px;
  line-height: 1;
  letter-spacing: -0.05em;
}
.sec-news article .detail p {
  font-size: 39px;
}

/*--------------------------------
Baby room
---------------------------------*/
.sec-babyroom {
  padding-block: 110px 20px;
  background:
    url(../img/top/kidsshoe-bg-top.png) no-repeat center bottom/contain,
    url(../img/top/bg-stripe.png) no-repeat center 20px/750px auto;
  position: relative;
  text-align: center;
}
.sec-babyroom:after {
  content: "";
  inset: 0;
  position: absolute;
  background: url(../img/top/babyroom-bg.png) no-repeat center top/contain;
  pointer-events: none;
  z-index: 1;
}
.sec-babyroom > figure {
  width: fit-content;
  margin: 30px auto 0;
}
.sec-babyroom > figure figcaption {
  text-align: left;
  font-size: 18px;
}
.sec-babyroom .flexbox {
  width: fit-content;
  display: flex;
  gap: 10px;
  margin: 0 0 0 72px;
  text-align: justify;
}
.sec-babyroom .flexbox .detail {
  flex: 0 0 420px;
}
.sec-babyroom .flexbox .detail h3 {
  padding: 40px 0 20px;
}
.sec-babyroom .flexbox figure {
  flex: 0 0 230px;
}

/*--------------------------------
Kids shoe
---------------------------------*/
.sec-kidsshoe {
  background:
    url(../img/top/kidsshoe-bg.png) no-repeat center 1080px / contain,
    url(../img/top/kidsshoe-bg-bottom.png) no-repeat center bottom/contain,
    linear-gradient(to top, transparent 140px, var(--color-violet-light) 140px);
  padding-bottom: 250px;
  text-align: center;
  scroll-margin-top: 50px;
}
.sec-kidsshoe h2 {
  margin-bottom: 30px;
}
.sec-kidsshoe .flexbox {
  width: fit-content;
  display: flex;
  gap: 10px;
  margin: 10px 0 0 75px;
  text-align: justify;
}
.sec-kidsshoe .flexbox .detail {
  flex: 0 0 370px;
}
.sec-kidsshoe .flexbox .detail h3 {
  padding: 40px 0 20px;
}
.sec-kidsshoe .flexbox figure {
  flex: 0 0 267px;
}
.sec-kidsshoe .accordion-block {
  margin-top: 50px;
  --color-theme: var(--color-violet);
}

/*--------------------------------
New born
---------------------------------*/
.sec-newborn {
  padding-bottom: 130px;
  background: url(../img/top/newborn-bg.png) no-repeat center 900px / contain;
  text-align: center;
  scroll-margin-top: 50px;
}
.sec-newborn > figure {
  margin: 30px auto -95px;
}
.sec-newborn .info {
  margin: 10px 40px 0 80px;
  text-align: justify;
}
.sec-newborn .info p {
  margin-right: 38px;
  font-size: 27px;
  color: #3e3a39;
}
.sec-newborn .info p .astral {
  background: url(../img/top/ico-astral.png) no-repeat center 60%/ 70% auto;
  color: transparent;
}
.sec-newborn .info h3 {
  margin-bottom: 10px;
}

.sec-newborn .flexbox figure {
  flex: 0 0 267px;
}
.sec-newborn .accordion-block {
  margin-top: 50px;
  --color-theme: var(--color-green);
}
/*--------------------------------
Faq
---------------------------------*/
.sec-faq {
  background:
    url(../img/top/faq-bg.png) no-repeat center top/contain,
    linear-gradient(to bottom, transparent 140px, var(--color-pink-light) 140px, var(--color-pink-light) calc(100% - 40px), transparent calc(100% - 40px));
  margin-bottom: -40px;
  padding: 150px 0 80px;
  text-align: center;
  position: relative;
  z-index: 2;
}
.sec-faq:after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 54px;
  background: var(--color-pink-light);
  mask: var(--pattern-wave);
  pointer-events: none;
}
.sec-faq .accordion-block {
  --color-theme: var(--color-pink);
}
.sec-faq h2 {
  margin-top: 80px;
}
.sec-faq ul {
  width: 632px;
  margin: 18px auto 0;
}
.sec-faq ul li {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-left: 10px;
  border: 3px solid var(--color-pink);
  border-radius: 35px;
  background: url(../img/top/ico-arrow.png) #fff no-repeat center right 20px / 20px auto;
  line-height: 1.2;
  text-align: center;
  font-size: 28px;
  font-weight: bold;
  position: relative;
}
.sec-faq ul li + li {
  margin-top: 35px;
}
.sec-faq ul li:before {
  content: "";
  display: flex;
  align-items: center;
  justify-content: center;
  width: 84px;
  aspect-ratio: 1/1;
  border-radius: 999rem;
  background: url(../img/top/ico-question.png) var(--color-pink) no-repeat center / 30px auto;
  color: #fff;
  font-family: Arial;
  font-size: 40px;
  position: absolute;
  left: -11px;
  top: 50%;
  transform: translateY(-50%);
  pointer-events: none;
}
.sec-faq ul li a {
  color: var(--color-pink);
  display: block;
  padding: 18px 0 18px 20px;
  width: 100%;
}
.sec-faq dl {
  text-align: center;
  font-weight: bold;
}
.sec-faq dl dt {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 400px;
  height: 45px;
  margin: 30px auto 0;
  background: var(--color-pink);
  border-radius: 999rem;
  color: #fff;
}
.sec-faq dl dd {
  margin: 10px 0 0;
}

/*--------------------------------
event
---------------------------------*/
.sec-event {
  padding: 100px 75px 150px;
  background: url(../img/top/bg-stripe.png) no-repeat center bottom/750px auto;
  text-align: justify;
  letter-spacing: 0.03em;
  position: relative;
  z-index: 1;
}
.sec-event:after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -20px;
  width: 100%;
  height: 54px;
  background: url(../img/top/bg-stripe.png) no-repeat center bottom/750px auto;
  mask: var(--pattern-wave);
  pointer-events: none;
}
.sec-event figcaption {
  font-size: 18px;
}
.sec-event h2 {
  margin: 0 0 20px;
  text-align: center;
}
.sec-event h3 {
  margin: 50px 0 10px;
}
.sec-event small {
  display: block;
}

/*--------------------------------
other
---------------------------------*/
.sec-other {
  padding: 140px 50px 100px;
  background: #fff;
  font-size: 24px;
  position: relative;
  text-align: center;
}
.sec-other:before {
  content: "";
  position: absolute;
  left: 0;
  top: -30px;
  width: 100%;
  height: 54px;
  background: #fff;
  mask: var(--pattern-wave);
  pointer-events: none;
}
.sec-other .btn {
  display: block;
  margin: 20px auto 70px;
}
.sec-other .banner-list {
  margin: 60px auto 90px;
}
.sec-other .banner-list li + li {
  margin-top: 30px;
}
.sec-other .indent-list li {
  text-indent: -1em;
  margin-left: 1em;
  text-align: left;
}
